camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexander Nemish <anem...@gmail.com>
Subject Re: Scala DSL with Scala 2.10
Date Thu, 24 Jan 2013 13:48:30 GMT
Claus Ibsen <claus.ibsen@...> writes:

> 
> Hi
> 
> The scalate team has been so kind to cut releases that support Scala
> 2.9 and 2.10.
> So the last hurdle for Camel is to have an OSGi bundle of Scala 2.10
> which is in the works.
> 
> When all that is released. We could reconsider upgrading camel-scala
> to 2.10 as we have all the needed pieces now.
> Also considering that if we do it before a Camel 2.11 release then
> thats easier. As we can't upgrade later in a patch release.
> 
> Also I think typesafe is not keen on supporting Scala 2.9 as much any
> longer as 2.10 is out?
> Any news of new Scala 2.9 releases on the way?
> 

Hi Claus,

Scala 2.10 scala-library.jar is OSGi ready. Also, scalate team already made a 
release for Scala 2.10. Typesafe claims to support Scala 2.9 for quite awhile, 
there is 2.9.3 release planned later this year.

If it's not too late, could you please consider including 2.10 build for Camel 
2.11 release? Camel is the last dependency holding our project from migrating to 
Scala 2.10.

Thank you,
Alexander Nemish


Mime
View raw message